Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Install HDF 2.0/NiFi on RHEL 6.X instance on AWS

Solved Go to solution
Highlighted

Install HDF 2.0/NiFi on RHEL 6.X instance on AWS

Rising Star

Hi,

I'm trying to install NiFi on the server and so I've done the following options but both fails :

1- Installing HDF 2.0 on a separate instance than HDP 2.5 but on the deploy step i get error "resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install ambari-infra-solr-client' returned 1. Error: Nothing to do"

2- Installing and extracting NIFI on the same server as HDP2.5, but although JDK 1.8 is installed on the server i get "Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0" error.

Can you please help me to fix my issue.

Thanks,

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Install HDF 2.0/NiFi on RHEL 6.X instance on AWS

Hi @Sanaz Janbakhsh

You generally get java.lang.UnsupportedClassVersionError when you have multiple version of java and you are using wrong java version to run the script.

Please run below before starting Nifi

export JAVA_HOME=<jdk path you want to use>
2 REPLIES 2

Re: Install HDF 2.0/NiFi on RHEL 6.X instance on AWS

Hi @Sanaz Janbakhsh

You generally get java.lang.UnsupportedClassVersionError when you have multiple version of java and you are using wrong java version to run the script.

Please run below before starting Nifi

export JAVA_HOME=<jdk path you want to use>

Re: Install HDF 2.0/NiFi on RHEL 6.X instance on AWS

Rising Star

Thanks a lot, now it is working.

Do you have any thoughts about the installation of HDF on a separate instance and "nfra Solr Instance Install" error that I get?

SJ